StarItemSet Class Reference

class to store a list of item More...

`#include <StarItem.hxx>`

## Public Member Functions

| StarItemSet ()
| constructor
bool | empty () const
| return true if the set is empty
bool | add (std::shared_ptr< StarItem > item)
| try to add a item
std::string | printChild () const
| debug function to print the child field

## Public Attributes

librevenge::RVNGString | m_style
| item set name
int | m_family
| the family
std::map< int, std::shared_ptr< StarItem > > | m_whichToItemMap
| the list of item

## Detailed Description

class to store a list of item

## Constructor & Destructor Documentation

## StarItemSet()

StarItemSet::StarItemSet | ( |  | ) |

inline

constructor

## Member Function Documentation

## add()

bool StarItemSet::add | ( | std::shared_ptr< StarItem > | item | ) |

try to add a item

Referenced by StarObject::readItemSet().

## empty()

bool StarItemSet::empty | ( |  | ) | const

inline

return true if the set is empty

## printChild()

std::string StarItemSet::printChild | ( |  | ) | const

debug function to print the child field

Referenced by StarItemStyle::operator<<, StarObjectChart::readSCHAttributes(), and StarObjectTextInternal::TextZone::send().

## Member Data Documentation

## m_family

int StarItemSet::m_family

the family

Referenced by StarItemSet(), and StarItemPool::updateUsingStyles().

## m_style

librevenge::RVNGString StarItemSet::m_style

item set name

Referenced by StarItemSet(), and StarItemPool::updateUsingStyles().

## m_whichToItemMap

std::map<int, std::shared_ptr<StarItem> > StarItemSet::m_whichToItemMap

the list of item

Referenced by add(), StarAttributeItemSet::addTo(), StarCharAttribute::StarCAttributeCharFormat::addTo(), empty(), printChild(), StarObject::readItemSet(), StarObjectTextInternal::TextZone::send(), StarItemSet(), StarItemPool::updateStyles(), and StarItemPool::updateUsingStyles().

The documentation for this class was generated from the following files:

- StarItem.hxx
- StarItem.cxx